package com.liquidnet.service.goblin.constant;

public class NftAccStatusEnum {
    /**
     * 数字账户开通状态
     */
    public enum StatusAcc {
        ING("1000", "开通中"),
        SUCCESS("2000", "开通成功"),
        FAILURE1("3000", "实名失败"),
        FAILURE2("3001", "开通失败可重试"),
        FAILURE3("3002", "该身份证已开通数字账号 不可重复操作"),
        ;
        private final String code;
        private final String msg;

        StatusAcc(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
    }

}
